SolrDocument::key
SolrDocument::next
SolrDocument
PHP Manual

# SolrDocument::merge

Merges source to the current SolrDocument

### Description

public bool SolrDocument::merge ( SolrDocument `$sourceDoc` [, bool `$overwrite` = true ] )

Merges source to the current SolrDocument.

### Parameters

`sourceDoc`

  The source document.

`overwrite`

  If this is `TRUE` then fields with the same name in the destination document will be overwritten.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.